From 45ccb257e3ded892ca59b5797811d90b3857b9b1 Mon Sep 17 00:00:00 2001
From: Dirk Mueller <dmueller@suse.com>
Date: Thu, 12 Mar 2015 12:44:12 +0100
Subject: [PATCH] ARM64: Adjust xkbe-a0 driver to Kernel 4.0

Signed-off-by: Dirk Mueller <dmueller@suse.com>
---
 patches.arch/arm64-0008-adjust-to-kernel-4.0 | 34 ++++++++++++++++++++++++++++
 series.conf                                  |  1 +
 2 files changed, 35 insertions(+)
 create mode 100644 patches.arch/arm64-0008-adjust-to-kernel-4.0

diff --git a/patches.arch/arm64-0008-adjust-to-kernel-4.0 b/patches.arch/arm64-0008-adjust-to-kernel-4.0
new file mode 100644
index 0000000..109fb65
--- /dev/null
+++ b/patches.arch/arm64-0008-adjust-to-kernel-4.0
@@ -0,0 +1,34 @@
+From: Dirk Mueller <dmueller@suse.com>
+Date: Thu Mar 12 12:41:57 CET 2015
+Subject: [PATCH] net: rename vlan_tx_* helpers since "tx" is misleading there
+Patch-mainline: Never
+
+The same macros are used for rx as well. So rename it.
+
+Signed-off-by: Dirk Mueller <dmueller@suse.com>
+
+--- linux-4.0-rc3-master.orig/drivers/net/ethernet/amd/xgbe-a0/xgbe-drv.c
++++ linux-4.0-rc3-master/drivers/net/ethernet/amd/xgbe-a0/xgbe-drv.c
+@@ -986,8 +986,8 @@ static void xgbe_prep_tx_tstamp(struct x
+ 
+ static void xgbe_prep_vlan(struct sk_buff *skb, struct xgbe_packet_data *packet)
+ {
+-	if (vlan_tx_tag_present(skb))
+-		packet->vlan_ctag = vlan_tx_tag_get(skb);
++	if (skb_vlan_tag_present(skb))
++		packet->vlan_ctag = skb_vlan_tag_get(skb);
+ }
+ 
+ static int xgbe_prep_tso(struct sk_buff *skb, struct xgbe_packet_data *packet)
+@@ -1057,9 +1057,9 @@ static void xgbe_packet_info(struct xgbe
+ 		XGMAC_SET_BITS(packet->attributes, TX_PACKET_ATTRIBUTES,
+ 			       CSUM_ENABLE, 1);
+ 
+-	if (vlan_tx_tag_present(skb)) {
++	if (skb_vlan_tag_present(skb)) {
+ 		/* VLAN requires an extra descriptor if tag is different */
+-		if (vlan_tx_tag_get(skb) != ring->tx.cur_vlan_ctag)
++		if (skb_vlan_tag_get(skb) != ring->tx.cur_vlan_ctag)
+ 			/* We can share with the TSO context descriptor */
+ 			if (!context_desc) {
+ 				context_desc = 1;
diff --git a/series.conf b/series.conf
index 72d6842..8102673 100644
--- a/series.conf
+++ b/series.conf
@@ -168,6 +168,7 @@
 	patches.arch/arm64-0005-arm64-dts-Add-X-Gene-reboot-driver-dts-node.patch
 	patches.arch/arm64-0006-arm64-Select-reboot-driver-for-X-Gene-platform.patch
 	patches.arch/arm64-0007-arm64-Do-not-call-enable-PCI-resources-when-specify-.patch
+	patches.arch/arm64-0008-adjust-to-kernel-4.0
 +agraf	patches.arch/arm64-0010-KVM-ARM-Hack-to-enable-VGIC-mapping-on-64k-PAGE_SIZE.patch
 	patches.arch/arm64-0011-Enable-CONFIG_COMPAT-also-for-64k-page-size.patch
 +agraf	patches.arch/arm64-0012-generic-pci.patch
-- 
2.0.4

